FEDORA-2018-3c21305b93

bugfix update in Fedora 27 for analitza, calibre, & 61 more

Status: stable a year ago

Qt 5.9.4 stable LTS release, see also https://blog.qt.io/blog/2018/01/23/qt-5-9-4-released/

Logout Required

After installing this update it is required that you logout of your current user session and log back in to ensure the changes supplied by this update are applied properly.

How to install

sudo dnf upgrade --advisory=FEDORA-2018-3c21305b93

Comments 26

This update has been submitted for testing by rdieter.

rdieter edited this update.

Works

karma: +1 critpath: +1

This update has been pushed to testing.

works for me

karma: +1

works for me

karma: +1

rdieter edited this update.

New build(s):

  • ugene-1.28.1-2.fc27

Karma has been reset.

This update has been submitted for testing by rdieter.

wfm

karma: +1
karma: +1 critpath: +1

This update has been pushed to testing.

WFM

karma: +1 critpath: +1

Works for me.

karma: +1

No regressions noted.

karma: +1 critpath: +1

no regressions noted

karma: +1

VLC (using QT5) works fine

karma: +1

Works

karma: +1

This update has been submitted for batched by rdieter.

This update has been submitted for stable by bodhi.

This update is missing a version-locked dependency from qt5-qtwebchannel to qt5-qtbase and so breaks QtWebEngine on systems with qt5-qtwebengine-freeworld installed, until I get that rebuild through (because qt5-qtwebchannel gets updated while everything else gets kept back).

karma: -1 critpath: -1

qt5-qtwebengine-freeworld is not part of Fedora and so when anything needs a version-locked depedency than qt5-qtwebengine-freeworld itself - there is no justification that a non-fedora package triggers a negative karma for a fedora package!

The criticism of qt5-qtwebchannel lacking a proper versioned dependency is a legitimate bug that will be fixed. It is also true that the consequence of that bug largely only affect users who have qt5-qtwebengine-freeworld installed.

This update has been pushed to stable.

@hreindl:

qt5-qtwebengine-freeworld is not part of Fedora and so when anything needs a version-locked depedency than qt5-qtwebengine-freeworld itself - there is no justification that a non-fedora package triggers a negative karma for a fedora package!

Please read my description of the issue. qt5-qtwebengine-freeworld correctly has a version-locked dependency on qt5-qtwebengine and qt5-qtbase, which is why qt5-qtbase is being held back in the first place. It is qt5-qtwebchannel that is missing the version-locked dependency on qt5-qtbase, which lets dnf upgrade qt5-qtwebchannel while holding back qt5-qtbase. This is an error in qt5-qtwebchannel packaging and must be fixed in qt5-qtwebchannel packaging.

@kkofler: agreed but then please don't mention out-of-tree stuff and focus on the issue itself - i got somehow sensible after a ton of fools gave -1 karma fopr kernel secuirty updates because their closed source drivers did not get loaded caused by the at the moment not available GCC other rhan download it from koji

Content Type
RPM
Status
stable
Test Gating
Submitted by
Update Type
bugfix
Update Severity
medium
Karma
+7
stable threshold: 2
unstable threshold: -6
Autopush
Disabled
Dates
submitted a year ago
in testing a year ago
in stable a year ago
modified a year ago
analitza-17.12.1-2.fc27
calibre-3.12.0-2.fc27
deepin-tool-kit-0.3.3-4.fc27
dnscrypt-proxy-gui-1.11.11-2.fc27
gammaray-2.8.1-3.fc27
gsettings-qt-0-0.7.20170715bzr83.fc27
kf5-akonadi-server-17.12.1-2.fc27
kf5-frameworkintegration-5.42.0-2.fc27
kf5-kdeclarative-5.42.0-2.fc27
kf5-kwayland-5.42.0-2.fc27
kwin-5.11.5-2.fc27
libfm-qt-0.11.2-8.fc27
libqtxdg-2.0.0-8.fc27
lxqt-qtplugin-0.11.1-8.fc27
mscore-2.1.0-8.fc27
plasma-integration-5.11.5-2.fc27
postbooks-4.10.1-16.fc27
pyotherside-1.5.3-3.fc27
pythonqt-3.2-5.fc27
python-qt5-5.9.1-2.fc27
qgnomeplatform-0.3-6.fc27
qstardict-1.2-7.fc27
qt5-5.9.4-2.fc27
qt5ct-0.34-2.fc27
qt5-qt3d-5.9.4-1.fc27
qt5-qtbase-5.9.4-1.fc27
qt5-qtcanvas3d-5.9.4-1.fc27
qt5-qtcharts-5.9.4-1.fc27
qt5-qtconnectivity-5.9.4-1.fc27
qt5-qtdatavis3d-5.9.4-1.fc27
qt5-qtdeclarative-5.9.4-1.fc27
qt5-qtdoc-5.9.4-1.fc27
qt5-qtgamepad-5.9.4-1.fc27
qt5-qtgraphicaleffects-5.9.4-1.fc27
qt5-qtimageformats-5.9.4-1.fc27
qt5-qtlocation-5.9.4-1.fc27
qt5-qtmultimedia-5.9.4-1.fc27
qt5-qtquickcontrols2-5.9.4-1.fc27
qt5-qtquickcontrols-5.9.4-1.fc27
qt5-qtremoteobjects-5.9.4-1.fc27
qt5-qtscript-5.9.4-1.fc27
qt5-qtscxml-5.9.4-1.fc27
qt5-qtsensors-5.9.4-1.fc27
qt5-qtserialport-5.9.4-1.fc27
qt5-qtspeech-5.9.4-2.fc27
qt5-qtstyleplugins-5.0.0-22.fc27
qt5-qtsvg-5.9.4-1.fc27
qt5-qttools-5.9.4-1.fc27
qt5-qttranslations-5.9.4-1.fc27
qt5-qtvirtualkeyboard-5.9.4-1.fc27
qt5-qtwayland-5.9.4-1.fc27
qt5-qtwebchannel-5.9.4-1.fc27
qt5-qtwebengine-5.10.0-2.fc27
qt5-qtwebkit-5.212.0-0.15.alpha2.fc27
qt5-qtwebsockets-5.9.4-1.fc27
qt5-qtwebview-5.9.4-1.fc27
qt5-qtx11extras-5.9.4-1.fc27
qt5-qtxmlpatterns-5.9.4-1.fc27
qt-creator-4.5.0-3.fc27.1
skrooge-2.10.5-2.fc27
ugene-1.28.1-2.fc27
xdg-desktop-portal-kde-5.11.5-2.fc27
yarock-1.3.0-2.fc27

Automated Test Results